<template>
    <img
        v-if="resSrc || (isDefault && src)"
        :src="!isDefault ? this.resSrc : src"
        width="100"
        alt=""
    />
</template>

<script>
import documentApi from "@/api/documentApi";

export default {
    name: "QuestImg",
    props: { src: String, isDefault: Boolean },
    data: () => ({ resSrc: "" }),
    methods: {
        async getImage(url) {
            const getExt = (name) => {
                const array = name.split(".");
                return array[array.length - 1];
            };
            const base64 = await documentApi.getDocument(url);

            this.resSrc = `data:image/${getExt(url)};base64,${base64}`;
        },
    },
    watch: {
        src: {
            immediate: true,
            handler(value) {
                if (value && !this.isDefault) this.getImage(value);
            },
        },
    },
    computed: {},
};
</script>

<style scoped></style>
